> For the complete documentation index, see [llms.txt](https://docs.connect.jfrog.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.connect.jfrog.io/features-new-ui/devices/view-device-details/block-updates-with-update-trigger/create-an-update-window.md).

# Create an Update Window

When you deploy OTA updates to edge devices, there may be time periods when it is inappropriate or risky to send new updates. If, for example, your device is in use by the end-user, a new update at that time might interfere with the user experience. By blocking updates using a Connect API request, you can manage from within your application when the device is available to receive updates, and when it is not available.

After setting the block updates flag (called `update_trigger` in the Connect API), your device will not receive new updates until you or your software unsets the flag. By setting and unsetting the flag at various times, you can create update windows that allow updates only during specific periods of time.

### Example Use Case

A sample use case is a fleet of kiosk screen devices that are in use throughout the day, but are not used during the night. When the software is out of use, it goes into standby mode and comes out of standby upon first use in the morning.

When the software comes out of standby, it uses the Update Device API request to set the update trigger to ON, so that it will not receive updates. When it goes to sleep again, the software unsets the update trigger so that it can receive updates while in standby mode. In effect, this creates an update window in which updates are allowed, and a blocking window in which the device will not accept updates.

For this use case to work, the Update Device API request using the `update_trigger` parameter might be used in the code of the kiosk software.

## What’s Next?

Learn more about the [Update Device](https://docs.connect.jfrog.io/developers/api-reference/connect-api-reference/devices#patch-api-v2-project_key-devices-device_uuid) request in the Connect API v2 and the parameters that can be set and updated in that request.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.connect.jfrog.io/features-new-ui/devices/view-device-details/block-updates-with-update-trigger/create-an-update-window.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
